On this page

    Images API

    ImageJSON

    GET https://api.maptiler.com/images/{imageId}/image.json

    JSON describing the metadata of the image. Can be used with MapTiler SDK to display the image.

    Request

    You must include an API Key with every API request

    Path Parameters

    Parameters Type Description
    imageId
    string
    Identifier of the image.
    Request example
    
      https://api.maptiler.com/images/{imageId}/image.json?key=YOUR_MAPTILER_API_KEY

    Get your FREE API key in your MapTiler account.

    Responses

    Code Content Description
    200 application/json ImageJSON Schema

    XYZ tiles

    GET https://api.maptiler.com/images/{imageId}/{z}/{x}/{y}

    The individual tiles. Can be used with various libraries to display the image. It's better to use the ImageJSON with MapTiler SDK rather than using the tile URL directly.

    Request

    You must include an API Key with every API request

    Path Parameters

    Parameters Type Description
    imageId
    string
    Identifier of the image.
    z
    integer
    Zoom level. Specifies the tile’s zoom level. See Tiles à la Google Maps
    x
    integer
    Column. Specifies the tile’s column. See Tiles à la Google Maps
    y
    integer
    Row. Specifies the tile’s row. See Tiles à la Google Maps
    Request example
    
      https://api.maptiler.com/images/{imageId}/10/536/358?key=YOUR_MAPTILER_API_KEY

    Get your FREE API key in your MapTiler account.

    Responses

    Code Content Description
    200 *
    204

    Tile not present – presumed empty (empty response)

    400

    Out of bounds

    403

    Key is missing, invalid or restricted

    404

    The item does not exist

    ImageJSON Schema

    Property Type Description
    id
    string
    Optional identifier of the image.
    description
    string
    Optional description of the image.
    attribution
    string
    Optional attribution for the image.
    width
    integer
    Image width in pixels.
    height
    integer
    Image height in pixels.
    minzoom
    integer
    Minimum available zoom level.
    maxzoom
    integer
    Maximum available zoom level.
    tileSize
    integer
    Tile size in pixels.
    Using the OpenAPI Specification?
    Get the openapi.yaml

    Was this helpful?

    MapTiler API
    Images API
    Images API